#!/bin/bash


for i in $( ls po/*.po ); do
    xgettext -j -L Shell -f po/POTFILES.in -o $i
done

#exit 0

# CheckOption (FullParam, Option, Default)
CheckOption() {
if echo $1 | grep "\-\-$2=" &> /dev/null; then
    echo $1 | sed -e 's/--'"$2"'=\(.*\)/\1/'
    return 0
else
    if (( $# >= 2 )); then
        echo $3
    fi
    return 1
fi
}

echo '$#:'$#
echo '$*:'$*
echo '$0:'$0
echo '$1:'$1
echo '$2:'$2

prefix="/usr/local"

for arg in $*; do
    tmp=`CheckOption "$arg" "prefix" "/usr/local"`
    if (( ! $? )); then
        prefix="$tmp"
    fi
    tmp=""
done

echo $prefix
